<?php
session_start();
if (!isset($_SESSION['distributor_id'])) {
    header("Location: ../login.php");
    exit;
}

include "../includes/db.php";

$stmt = $pdo->query("SELECT id, name, email, subscription_type, subscription_start, subscription_end, is_active FROM teachers WHERE role = 'teacher'");
$teachers = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>إدارة الاشتراكات</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../assets/css/main.css">
    <script src="../assets/js/main.js"></script>
</head>
<body>

<?php include "../includes/header.php"; ?>
<?php include "../includes/sidebar.php"; ?>

<div class="main-content container pt-5 mt-4">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h2><i class="fas fa-key me-2"></i> إدارة الاشتراكات</h2>
        <div class="welcome-message bg-light p-2 rounded shadow-sm">
            <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'الموزع' ?></span>
        </div>
    </div>
    
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <table class="table table-bordered table-striped table-hover text-center align-middle">
        <thead>
            <tr>
                <th>#</th>
                <th>الاسم</th>
                <th>البريد الإلكتروني</th>
                <th>نوع الاشتراك</th>
                <th>تاريخ البدء</th>
                <th>تاريخ الانتهاء</th>
                <th>الحالة</th>
                <th>الإجراءات</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($teachers as $t): 
                $status_class = $t['is_active'] ? 'success' : 'danger';
                $status = $t['is_active'] ? 'نشط' : 'متوقف';
                $type_class = $t['subscription_type'] == 'annual' ? 'primary' : 'info';
                $type = $t['subscription_type'] == 'annual' ? 'سنوي' : 'نصف سنوي';
            ?>
                <tr>
                    <td><?= $t['id'] ?></td>
                    <td><?= htmlspecialchars($t['name']) ?></td>
                    <td><?= htmlspecialchars($t['email']) ?></td>
                    <td><span class="badge bg-<?= $type_class ?>"><?= $type ?></span></td>
                    <td><?= $t['subscription_start'] ?></td>
                    <td><?= $t['subscription_end'] ?></td>
                    <td><span class="badge bg-<?= $status_class ?>"><?= $status ?></span></td>
                    <td>
                        <div class="d-flex justify-content-center gap-2">
                            <a href="view_teacher.php?id=<?= $t['id'] ?>" class="btn btn-sm btn-primary"><i class="fas fa-eye me-1"></i> عرض</a>
                            <a href="deactivate.php?id=<?= $t['id'] ?>" class="btn btn-sm btn-danger" onclick="return confirm('هل أنت متأكد من إيقاف هذا المعلم؟')"><i class="fas fa-ban me-1"></i> إيقاف</a>
                        </div>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>