<?php
// functions/messages.php - وظائف الرسائل الداخلية

function send_internal_message($sender_type, $sender_id, $receiver_type, $receiver_id, $subject, $message) {
    global $pdo;
    $pdo->prepare("INSERT INTO internal_messages 
                    (sender_type, sender_id, receiver_type, receiver_id, subject, message, sent_at) 
                    VALUES (?, ?, ?, ?, ?, ?, NOW())")
        ->execute([$sender_type, $sender_id, $receiver_type, $receiver_id, $subject, $message]);
}

function get_unread_messages_count($user_type, $user_id) {
    global $pdo;
    $stmt = $pdo->prepare("SELECT COUNT(*) FROM internal_messages 
                            WHERE receiver_type = ? AND receiver_id = ? AND is_read = FALSE");
    $stmt->execute([$user_type, $user_id]);
    return $stmt->fetchColumn();
}

function get_latest_messages($user_type, $user_id, $limit = 5) {
    global $pdo;
    $stmt = $pdo->prepare("SELECT * FROM internal_messages 
                            WHERE receiver_type = ? AND receiver_id = ?
                            ORDER BY sent_at DESC LIMIT ?");
    $stmt->execute([$user_type, $user_id, $limit]);
    return $stmt->fetchAll(PDO::FETCH_ASSOC);
}
?>