<?php
// functions/security.php - وظائف الأمان

function generate_csrf_token() {
    if (empty($_SESSION['csrf_token'])) {
        $_SESSION['csrf_token'] = bin2hex(random_bytes(50));
    }
    return $_SESSION['csrf_token'];
}

function validate_csrf_token($token) {
    return hash_equals($_SESSION['csrf_token'], $token);
}

function sanitize_input($data) {
    return htmlspecialchars(strip_tags(trim($data)));
}

function prevent_direct_access() {
    if (!defined('ALLOW_ACCESS')) {
        header("Location: ../../login.php");
        exit;
    }
}
?>