<?php
// functions/subscription.php - وظائف الاشتراك

function check_subscription_status($teacher_id) {
    global $pdo;
    $stmt = $pdo->prepare("SELECT subscription_end, is_active FROM teachers WHERE id = ?");
    $stmt->execute([$teacher_id]);
    $row = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$row || !$row['is_active']) return 'inactive';
    if (strtotime($row['subscription_end']) < time()) return 'expired';
    return 'active';
}

function calculate_subscription_end_date($type) {
    if ($type == 'annual') {
        return date('Y-m-d', strtotime('+1 year'));
    } elseif ($type == 'semi_annual') {
        return date('Y-m-d', strtotime('+6 months'));
    }
    return null;
}
?>