<?php
if (session_status() === PHP_SESSION_NONE) session_start();
?><link rel="stylesheet" href="/assets/css/style.css">
<link rel="manifest" href="/teacher-dashboard/manifest.json">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
<header class="header p-3 bg-primary text-white">
    <div class="logo fs-4 fw-bold"><i class="fas fa-graduation-cap me-2"></i>مدرسة الأستاذ</div>
    
    <div class="user-info d-flex align-items-center gap-3">
        <?php if (isset($_SESSION['teacher_id'])): ?>
            <a href="/notifications/view-notifications.php" class="text-white text-decoration-none position-relative">
                <i class="fas fa-bell fa-shake me-1"></i> الإشعارات
                <?php
                $stmt = $pdo->prepare("SELECT COUNT(*) FROM notifications WHERE user_id = ? AND is_read = FALSE");
                $stmt->execute([$_SESSION["teacher_id"]]);
                $unread = $stmt->fetchColumn();
                if ($unread > 0):
                ?>
                    <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                        <?= $unread ?>
                    </span>
                <?php endif; ?>
            </a>

            <img src="/assets/images/user.jpg" alt="المعلم" width="40" class="rounded-circle">
            <span class="fw-bold"><?= htmlspecialchars($_SESSION["name"] ?? "المستخدم", ENT_QUOTES, "UTF-8") ?></span>
            <a href="/logout.php" class="btn btn-light btn-sm text-danger"><i class="fas fa-right-from-bracket me-1"></i> خروج</a>
        <?php elseif (isset($_SESSION["distributor_id"])): ?>
            <img src="/assets/images/admin.jpg" alt="الموزع" width="40" class="rounded-circle" onerror="this.src=\"/assets/images/user.jpg\"">
            <span class="fw-bold">مرحبًا، <?= htmlspecialchars($_SESSION["name"] ?? "الموزع", ENT_QUOTES, "UTF-8") ?></span>
            <a href="/logout.php" class="btn btn-light btn-sm text-danger"><i class="fas fa-right-from-bracket me-1"></i> خروج</a>
        <?php else: ?>
            <span>مرحبًا بك!</span>
        <?php endif; ?>
    </div>
</header>