<?php
session_start();
include "../includes/functions.php";

$stmt = $pdo->prepare("SELECT * FROM internal_messages WHERE receiver_id = ? AND receiver_type = ?");
$stmt->execute([$_SESSION['teacher_id'], 'teacher']);
$messages = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>الرسائل الداخلية</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<?php include "../includes/header.php"; ?>
<?php include "../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h2>📩 الرسائل الداخلية</h2>
        <div class="welcome-message bg-light p-2 rounded shadow-sm">
            <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المستخدم' ?></span>
        </div>
    </div>

    <?php if (count($messages) == 0): ?>
        <p class="text-muted">لا توجد رسائل جديدة</p>
    <?php else: ?>
        <table class="table table-striped text-center align-middle">
            <thead class="table-dark">
                <tr>
                    <th>المرسل</th>
                    <th>العنوان</th>
                    <th>الحالة</th>
                    <th>التاريخ</th>
                    <th>الإجراءات</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($messages as $msg): 
                    $status = $msg['is_read'] ? 'مقروءة' : 'غير مقروءة';
                ?>
                    <tr>
                        <td><?= htmlspecialchars($msg['sender_type']) ?></td>
                        <td><?= htmlspecialchars($msg['subject']) ?></td>
                        <td><?= $status ?></td>
                        <td><?= date('Y-m-d H:i', strtotime($msg['sent_at'])) ?></td>
                        <td>
                            <a href="view-message.php?id=<?= $msg['message_id'] ?>" class="btn btn-sm btn-info">عرض</a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php endif; ?>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>