<?php
session_start();
if (!isset($_SESSION['teacher_id'])) {
    header("Location: ../login.php");
    exit;
}

include "../../../db.php";

// جلب طلاب المجموعة
$group_id = 1; // يمكنك استبداله بالاختيار من قائمة
$stmt = $pdo->prepare("SELECT student_id, name FROM students WHERE group_id = ? AND teacher_id = ?");
$stmt->execute([$group_id, $_SESSION['teacher_id']]);
$students = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>تسجيل الحضور - الجوال</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<h4 class="text-center mt-4">✅ تسجيل الحضور</h4>

<div class="container mt-3">
    <form method="post">
        <div class="mb-3">
            <label class="form-label">اختر مجموعة</label>
            <select name="group_id" class="form-select" onchange="this.form.submit()">
                <!-- قم بجلب المجموعات من النظام -->
                <option value="1" selected>مجموعة الرياضيات</option>
            </select>
        </div>
    </form>

    <table class="table table-bordered table-striped text-center align-middle">
        <thead class="table-dark">
            <tr>
                <th>الاسم</th>
                <th>الحالة</th>
                <th>ملاحظات</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($students as $student): ?>
                <tr>
                    <td><?= htmlspecialchars($student['name']) ?></td>
                    <td>
                        <select class="form-select form-select-sm">
                            <option>حاضر</option>
                            <option>غائب</option>
                            <option>عذر</option>
                        </select>
                    </td>
                    <td><input type="text" class="form-control form-control-sm" placeholder="ملاحظات..."></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

    <button class="btn btn-success w-100 mt-3">💾 حفظ الحضور</button>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>