<?php
session_start();
if (!isset($_SESSION['teacher_id'])) {
    header("Location: login.php");
    exit;
}

include "../../db.php";

$stmt = $pdo->prepare("SELECT COUNT(*) FROM students WHERE teacher_id = ?");
$stmt->execute([$_SESSION['teacher_id']]);
$total_students = $stmt->fetchColumn();

$stmt = $pdo->prepare("SELECT SUM(amount_paid) FROM payments WHERE student_id IN 
                        (SELECT student_id FROM students WHERE teacher_id = ?)");
$stmt->execute([$_SESSION['teacher_id']]);
$total_payments = $stmt->fetchColumn();

$stmt = $pdo->prepare("SELECT COUNT(*) FROM attendance WHERE student_id IN 
                        (SELECT student_id FROM students WHERE teacher_id = ?) AND status = 'حاضر'");
$stmt->execute([$_SESSION['teacher_id']]);
$total_attendance = $stmt->fetchColumn();
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>لوحة التحكم - الجوال</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
        }
        .card-stat {
            background-color: var(--primary-color);
            color: white;
            text-align: center;
            padding: 20px;
            border-radius: 10px;
        }
    </style>
</head>
<body>

<h4 class="text-center mt-4">مرحبًا بك <?= htmlspecialchars($_SESSION['name']) ?></h4>

<div class="container mt-4">
    <div class="row g-3">
        <div class="col-12">
            <div class="card-stat">
                <h5>عدد الطلاب</h5>
                <h2><?= $total_students ?></h2>
            </div>
        </div>
        <div class="col-12">
            <div class="card-stat bg-success">
                <h5>إجمالي الإيرادات</h5>
                <h2><?= number_format($total_payments, 2) ?> ج.م</h2>
            </div>
        </div>
        <div class="col-12">
            <div class="card-stat bg-info text-dark">
                <h5>نسبة الحضور</h5>
                <h2><?= $total_students > 0 ? round(($total_attendance / $total_students), 2) * 100 : 0 ?>%</h2>
            </div>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>