<?php
session_start();
if (!isset($_SESSION['teacher_id']) && !isset($_SESSION['distributor_id'])) {
    header("Location: login.php");
    exit;
}

include "../db.php";

// تحديد نوع المستخدم
$role = isset($_SESSION['teacher_id']) ? 'teacher' : 'distributor';
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>مدرسة الأستاذ - الجوال</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
            background-color: #f8f9fa;
        }
        .icon-btn {
            font-size: 2rem;
            text-align: center;
            padding: 20px;
            border-radius: 10px;
            color: white;
            margin-bottom: 15px;
        }
    </style>
</head>
<body>

<div class="container mt-4">
    <h4 class="text-center mb-4">مرحبًا بك <?= $_SESSION['name'] ?? 'المستخدم' ?></h4>

    <div class="row g-3">
        <div class="col-6">
            <a href="dashboard.php" class="btn icon-btn bg-primary">🧑‍🎓 الطلاب</a>
        </div>
        <div class="col-6">
            <a href="payments/invoices.php" class="btn icon-btn bg-success">💰 المدفوعات</a>
        </div>
        <div class="col-6">
            <a href="attendance/mark-attendance.php" class="btn icon-btn bg-warning text-dark">✅ الحضور</a>
        </div>
        <div class="col-6">
            <a href="notifications/view-notifications.php" class="btn icon-btn bg-info">🔔 الإشعارات</a>
        </div>
        <div class="col-6">
            <a href="settings/change-password.php" class="btn icon-btn bg-secondary">⚙️ الإعدادات</a>
        </div>
        <div class="col-6">
            <a href="../logout.php" class="btn icon-btn bg-danger">🚪 خروج</a>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>