<?php
session_start();
if (!isset($_SESSION['teacher_id'])) {
    header("Location: ../login.php");
    exit;
}

include "../../../db.php";

$stmt = $pdo->prepare("SELECT * FROM notifications WHERE user_id = ? ORDER BY created_at DESC LIMIT 50");
$stmt->execute([$_SESSION['teacher_id']]);
$notifications = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>🔔 الإشعارات - الجوال</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<h4 class="text-center mt-4">🔔 الإشعارات</h4>

<div class="container mt-3">
    <?php if (empty($notifications)): ?>
        <div class="alert alert-info mt-4">لا توجد إشعارات جديدة.</div>
    <?php else: ?>
        <ul class="list-group">
            <?php foreach ($notifications as $n): ?>
                <li class="list-group-item <?= !$n['is_read'] ? 'bg-light' : '' ?>">
                    <strong><?= htmlspecialchars($n['title']) ?></strong>
                    <p class="mb-1"><?= htmlspecialchars($n['message']) ?></p>
                    <small class="text-muted"><?= date('Y-m-d H:i', strtotime($n['created_at'])) ?></small>
                </li>
            <?php endforeach; ?>
        </ul>
    <?php endif; ?>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>