<?php
session_start();
if (!isset($_SESSION['teacher_id'])) {
    header("Location: ../login.php");
    exit;
}

include "../../../db.php";

$stmt = $pdo->prepare("SELECT s.name, p.amount_paid, p.due_amount, p.payment_date 
                        FROM payments p
                        JOIN students s ON p.student_id = s.student_id
                        WHERE s.teacher_id = ?");
$stmt->execute([$_SESSION['teacher_id']]);
$payments = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>الفواتير - الجوال</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<h4 class="text-center mt-4">💰 الفواتير والمدفوعات</h4>

<div class="container mt-3">
    <table class="table table-striped text-center">
        <thead class="table-dark">
            <tr>
                <th>الطالب</th>
                <th>المبلغ المدفوع</th>
                <th>المتبقي</th>
                <th>التاريخ</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($payments as $p): ?>
                <tr>
                    <td><?= htmlspecialchars($p['name']) ?></td>
                    <td><?= number_format($p['amount_paid'], 2) ?> ج.م</td>
                    <td><?= number_format($p['due_amount'], 2) ?> ج.م</td>
                    <td><?= $p['payment_date'] ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>