<?php
session_start();
if (!isset($_SESSION['teacher_id'])) {
    header("Location: ../login.php");
    exit;
}

include "../../../db.php";

$error = $success = "";

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $name = $_POST['name'];
    $grade_level = $_POST['grade_level'];
    $phone = $_POST['phone'];
    $parent_code = $_POST['parent_code'];

    if (empty($name) || empty($grade_level) || empty($phone)) {
        $error = "يرجى ملء جميع الحقول";
    } else {
        $pdo->prepare("INSERT INTO students (name, grade_level, phone, parent_code, teacher_id) VALUES (?, ?, ?, ?, ?)")
            ->execute([$name, $grade_level, $phone, $parent_code, $_SESSION['teacher_id']]);
        $success = "تم إضافة الطالب بنجاح!";
    }
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>إضافة طالب - الجوال</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<h4 class="text-center mt-4">➕ إضافة طالب جديد</h4>

<div class="container mt-3">
    <?php if ($error): ?>
        <div class="alert alert-danger"><?= $error ?></div>
    <?php elseif ($success): ?>
        <div class="alert alert-success"><?= $success ?></div>
    <?php endif; ?>

    <form method="post">
        <div class="mb-3">
            <label class="form-label">الاسم</label>
            <input type="text" name="name" class="form-control" required>
        </div>
        <div class="mb-3">
            <label class="form-label">المرحلة</label>
            <input type="text" name="grade_level" class="form-control" required>
        </div>
        <div class="mb-3">
            <label class="form-label">رقم الجوال</label>
            <input type="text" name="phone" class="form-control" required>
        </div>
        <div class="mb-3">
            <label class="form-label">كود ولي الأمر</label>
            <input type="text" name="parent_code" class="form-control">
        </div>
        <button type="submit" class="btn btn-primary w-100">حفظ</button>
    </form>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>