<?php
session_start();
if (!isset($_SESSION['teacher_id'])) {
    header("Location: ../login.php");
    exit;
}

include "../../../db.php";

$stmt = $pdo->prepare("SELECT * FROM students WHERE teacher_id = ?");
$stmt->execute([$_SESSION['teacher_id']]);
$students = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>الطلاب - الجوال</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<h4 class="text-center mt-4">قائمة الطلاب</h4>

<div class="container mt-3">
    <table class="table table-bordered table-striped text-center">
        <thead class="table-dark">
            <tr>
                <th>الاسم</th>
                <th>المرحلة</th>
                <th>رقم الجوال</th>
                <th>الإجراءات</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($students as $student): ?>
                <tr>
                    <td><?= htmlspecialchars($student['name']) ?></td>
                    <td><?= $student['grade_level'] ?></td>
                    <td><?= $student['phone'] ?></td>
                    <td>
                        <a href="edit-student.php?id=<?= $student['student_id'] ?>" class="btn btn-sm btn-primary">✏️</a>
                        <a href="?delete_id=<?= $student['student_id'] ?>" onclick="return confirm('هل أنت متأكد؟')" class="btn btn-sm btn-danger">🗑️</a>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>