<?php
session_start();
include "../includes/functions.php";
check_login();

// تحديث جميع الإشعارات كمقروءة
$pdo->prepare("UPDATE notifications SET is_read = TRUE WHERE user_id = ? AND is_read = FALSE")
    ->execute([$_SESSION['teacher_id']]);

// جلب الإشعارات
$stmt = $pdo->prepare("SELECT * FROM notifications 
                        WHERE user_id = ? ORDER BY created_at DESC");
$stmt->execute([$_SESSION['teacher_id']]);
$notifications = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>الإشعارات النظام</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<?php include "../includes/header.php"; ?>
<?php include "../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h2>🔔 الإشعارات</h2>
        <div class="welcome-message bg-light p-2 rounded shadow-sm">
            <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المستخدم' ?></span>
        </div>
    </div>

    <?php if (empty($notifications)): ?>
        <div class="alert alert-info mt-4">لا توجد إشعارات جديدة.</div>
    <?php else: ?>
        <ul class="list-group shadow-sm">
            <?php foreach ($notifications as $n): ?>
                <li class="list-group-item <?= !$n['is_read'] ? 'bg-light' : '' ?>">
                    <strong><?= htmlspecialchars($n['title']) ?></strong>
                    <p class="mb-1"><?= htmlspecialchars($n['message']) ?></p>
                    <small class="text-muted"><?= date('Y-m-d H:i', strtotime($n['created_at'])) ?></small>
                </li>
            <?php endforeach; ?>
        </ul>
    <?php endif; ?>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>