<?php
// parent/auth_check.php - التحقق من صحة تسجيل دخول ولي الأمر

session_start();

// تضمين الملفات المطلوبة
include '../includes/db.php';
include '../includes/security.php';

// التحقق من انتهاء صلاحية الجلسة
if (!checkSessionTimeout()) {
    header("Location: ../login.php");
    exit;
}

// التحقق من تسجيل دخول ولي الأمر
if (!isset($_SESSION['parent_id']) || $_SESSION['role'] !== 'parent') {
    header("Location: ../login.php");
    exit;
}

// الحصول على معلومات ولي الأمر
try {
    $stmt = $pdo->prepare("SELECT * FROM parents WHERE id = ? AND is_active = 1");
    $stmt->execute([$_SESSION['parent_id']]);
    $parent = $stmt->fetch(PDO::FETCH_ASSOC);
    
    if (!$parent) {
        session_destroy();
        header("Location: ../login.php");
        exit;
    }
} catch (PDOException $e) {
    error_log("Parent auth check error: " . $e->getMessage());
    header("Location: ../login.php");
    exit;
}
?>

