<?php
session_start();
include "../includes/functions.php";
check_login();

$stmt = $pdo->prepare("SELECT * FROM parents WHERE teacher_id = ?");
$stmt->execute([$_SESSION['teacher_id']]);
$parents = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>إدارة أولياء الأمور</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<?php include "../includes/header.php"; ?>
<?php include "../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-3">
        <h2>👨‍👩‍👧‍👦 أولياء الأمور</h2>
        <div class="d-flex align-items-center gap-3">
            <div class="welcome-message bg-light p-2 rounded shadow-sm">
                <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المستخدم' ?></span>
            </div>
            <a href="add-parent.php" class="btn btn-success">➕ إضافة ولي أمر جديد</a>
        </div>
    </div>

    <table class="table table-bordered table-striped text-center align-middle">
        <thead class="table-dark">
            <tr>
                <th>#</th>
                <th>الاسم</th>
                <th>العلاقة</th>
                <th>رقم الجوال</th>
                <th>واتساب</th>
                <th>الإجراءات</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($parents as $parent): ?>
                <tr>
                    <td><?= $parent['parent_id'] ?></td>
                    <td><?= htmlspecialchars($parent['name']) ?></td>
                    <td><?= $parent['relation'] ?></td>
                    <td><?= $parent['phone'] ?></td>
                    <td><?= $parent['whatsapp'] ?></td>
                    <td>
                        <a href="edit-parent.php?id=<?= $parent['parent_id'] ?>" class="btn btn-sm btn-primary me-1">✏️ تعديل</a>
                        <a href="?delete_id=<?= $parent['parent_id'] ?>" onclick="return confirm('هل أنت متأكد؟')" class="btn btn-sm btn-danger me-1">🗑️ حذف</a>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>