<?php
session_start();
include "../includes/functions.php";

$error = $success = "";
$upload_dir = '../assets/images/';
$photo_path = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_FILES['photo'])) {
    $tmp_name = $_FILES['photo']['tmp_name'];
    $name = basename($_FILES['photo']['name']);
    $target_file = $upload_dir . uniqid() . '-' . $name;

    if (move_uploaded_file($tmp_name, $target_file)) {
        if ($_SESSION['role'] === 'teacher') {
            $pdo->prepare("UPDATE teachers SET photo = ? WHERE id = ?")
                ->execute([$target_file, $_SESSION['teacher_id']]);
        } else {
            $pdo->prepare("UPDATE distributors SET photo = ? WHERE id = ?")
                ->execute([$target_file, $_SESSION['distributor_id']]);
        }
        $success = "✅ تم رفع الصورة وتحديثها بنجاح";
    } else {
        $error = "❌ فشل رفع الصورة";
    }
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>رفع صورة المعلم</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<?php include "../includes/header.php"; ?>
<?php include "../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h2><i class="fas fa-image me-2"></i> رفع صورة المعلم</h2>
        <div class="welcome-message bg-light p-2 rounded shadow-sm">
            <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المستخدم' ?></span>
        </div>
    </div>

    <?php if ($error): ?>
        <div class="alert alert-danger"><?= $error ?></div>
    <?php endif; ?>
    <?php if ($success): ?>
        <div class="alert alert-success"><?= $success ?></div>
    <?php endif; ?>

    <form method="post" enctype="multipart/form-data">
        <div class="mb-3">
            <label class="form-label">اختر صورة</label>
            <input type="file" name="photo" class="form-control" accept="image/*" required>
        </div>
        <button type="submit" class="btn btn-primary">📷 رفع الصورة</button>
    </form>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>