<?php
session_start();
include "../../includes/functions.php";
check_login();

$stmt = $pdo->prepare("SELECT s.name, p.amount_paid, p.due_amount, p.payment_date 
                        FROM payments p
                        JOIN students s ON p.student_id = s.student_id
                        WHERE s.teacher_id = ?");
$stmt->execute([$_SESSION['teacher_id']]);
$payments = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>الفواتير والمدفوعات</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<?php include "../../includes/header.php"; ?>
<?php include "../../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h2><i class="fas fa-money-bill-wave me-2"></i> الفواتير والمدفوعات</h2>
        <div class="welcome-message bg-light p-2 rounded shadow-sm">
            <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المعلم' ?></span>
        </div>
    </div>

    <table class="table table-hover table-bordered text-center">
        <thead class="table-dark">
            <tr>
                <th>الطالب</th>
                <th>المبلغ المدفوع</th>
                <th>المبلغ المتبقي</th>
                <th>تاريخ الدفع</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($payments as $p): ?>
                <tr>
                    <td><?= htmlspecialchars($p['name']) ?></td>
                    <td><?= number_format($p['amount_paid'], 2) ?> ج.م</td>
                    <td><?= number_format($p['due_amount'], 2) ?> ج.م</td>
                    <td><?= $p['payment_date'] ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>