<?php
session_start();
include "../../includes/functions.php";
check_login();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $color = $_POST['theme_color'];
    $custom_css = "body { --primary-color: $color; }";

    // تحديث قاعدة البيانات بالثيم الجديد
    $pdo->prepare("UPDATE teachers SET custom_css = ? WHERE id = ?")
        ->execute([$custom_css, $_SESSION['teacher_id']]);
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>تغيير الثيم</title>
    <link rel="stylesheet" href="../../assets/css/style.css">
    <style>
        .preview-card {
            background-color: var(--primary-color);
            color: white;
            padding: 20px;
            border-radius: 10px;
            margin-top: 20px;
            text-align: center;
        }
    </style>
</head>
<body>

<?php include "../../includes/header.php"; ?>
<?php include "../../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h2><i class="fas fa-palette me-2"></i> تغيير لون النظام</h2>
        <div class="welcome-message bg-light p-2 rounded shadow-sm">
            <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المعلم' ?></span>
        </div>
    </div>

    <form method="post">
        <div class="mb-3">
            <label class="form-label">اختر لون النظام</label>
            <input type="color" name="theme_color" id="theme-color" value="#0d6efd" class="form-control form-control-lg" required>
        </div>
        <button type="submit" class="btn btn-primary">💾 حفظ اللون</button>
    </form>

    <div class="preview-card mt-4">
        <h4>معاينة اللون</h4>
        <p>هذا هو اللون الذي سيظهر في نظامك</p>
    </div>
</div>

<script src="../../assets/js/main.js"></script>
<script src="../../assets/js/colors.js"></script>
</body>
</html>