<?php
session_start();
include "../../../includes/functions.php";
check_login();

$stmt = $pdo->prepare("SELECT * FROM students WHERE teacher_id = ?");
$stmt->execute([$_SESSION['teacher_id']]);
$students = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>إدارة الطلاب</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<?php include "../../../includes/header.php"; ?>
<?php include "../../../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-3">
        <h2><i class="fas fa-user-graduate me-2"></i> قائمة الطلاب</h2>
        <div class="d-flex align-items-center gap-3">
            <div class="welcome-message bg-light p-2 rounded shadow-sm">
                <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المعلم' ?></span>
            </div>
            <a href="add-student.php" class="btn btn-success">➕ إضافة طالب جديد</a>
        </div>
    </div>

    <table class="table table-bordered table-striped text-center align-middle">
        <thead class="table-dark">
            <tr>
                <th>#</th>
                <th>الاسم</th>
                <th>المرحلة</th>
                <th>رقم الجوال</th>
                <th>حالة الدفع</th>
                <th>الإجراءات</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($students as $student): ?>
                <tr>
                    <td><?= $student['student_id'] ?></td>
                    <td><?= htmlspecialchars($student['name']) ?></td>
                    <td><?= $student['grade_level'] ?></td>
                    <td><?= $student['phone'] ?></td>
                    <td class="<?= $student['payment_status'] == 'paid' ? 'text-success' : 'text-danger' ?>">
                        <?= $student['payment_status'] == 'paid' ? 'مدفوعة' : 'غير مدفوعة' ?>
                    </td>
                    <td>
                        <a href="edit-student.php?id=<?= $student['student_id'] ?>" class="btn btn-sm btn-primary me-1">✏️ تعديل</a>
                        <a href="?delete_id=<?= $student['student_id'] ?>" onclick="return confirm('هل أنت متأكد؟')" class="btn btn-sm btn-danger me-1">🗑️ حذف</a>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>