<?php
session_start();
include "../includes/functions.php";

if ($_SESSION['role'] !== 'distributor') {
    header("Location: ../login.php");
    exit;
}

// عرض المهام الآلية
$cron_jobs = [
    ['name' => 'إشعارات الاشتراك', 'interval' => 'يوميًا', 'last_run' => '2025-04-05'],
    ['name' => 'نسخ احتياطي للبيانات', 'interval' => 'شهريًا', 'last_run' => '2025-04-01'],
    ['name' => 'تحديث النظام', 'interval' => 'يوميًا', 'last_run' => '2025-04-05']
];
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>إدارة المهام الآلية</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"  rel="stylesheet">
</head>
<body>

<?php include "../includes/header.php"; ?>
<?php include "../includes/sidebar.php"; ?>

<div class="main-content container mt-4 pt-5">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h2><i class="fas fa-tasks me-2"></i> إدارة المهام الآلية (Cron Jobs)</h2>
        <div class="welcome-message bg-light p-2 rounded shadow-sm">
            <i class="fas fa-user-shield me-2 text-primary"></i> مرحبًا بك <span class="fw-bold text-primary"><?= $_SESSION['name'] ?? 'المستخدم' ?></span>
        </div>
    </div>

    <table class="table table-bordered table-striped text-center align-middle">
        <thead class="table-dark">
            <tr>
                <th>الاسم</th>
                <th>الفاصل الزمني</th>
                <th>آخر تشغيل</th>
                <th>الإجراء</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($cron_jobs as $job): ?>
                <tr>
                    <td><?= htmlspecialchars($job['name']) ?></td>
                    <td><?= $job['interval'] ?></td>
                    <td><?= $job['last_run'] ?></td>
                    <td><button class="btn btn-sm btn-primary">تشغيل الآن</button></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script> 
</body>
</html>